using System.Collections.Generic;
using System.Diagnostics.Contracts;
using BITKit;
using Unity.Mathematics;

namespace Project.B.CharacterController
{
    public interface IPlayerCharacterController
    {
        ICharacterController CharacterController { get; }
        IDictionary<int,quaternion> AdditiveCameraQuaternion { get; }
        IDictionary<int,float> ZoomFactor { get; }
        ValidHandle AllowTpsCamera { get; }
        ValidHandle AllowRun { get; }
        ValidHandle AllowSprint { get; }
        void CancelRun();
        void CancelSprint();
    }
}

