using Unity.Mathematics;

namespace Project.B.Player
{
    /// <summary>
    /// 玩家设置
    /// </summary>
    public interface IPlayerSettings
    {
        /// <summary>
        /// 灵敏度
        /// </summary>
        public float Sensitivity { get; set; }
        public float GamePadSensitivity { get; set; }
        /// <summary>
        /// 视野
        /// </summary>
        public int Fov { get; set; }
        /// <summary>
        /// 刷新率
        /// </summary>
        public int Freq { get; }
        /// <summary>
        /// 分辨率
        /// </summary>
        public int2 Resolution { get; set; }
        /// <summary>
        /// 是否全屏
        /// </summary>
        public bool IsFullScreen { get; set; }
    }

}

